
Ruby - Bug #14057

TracePoint#enable and disable should not yield arguments

10/26/2017 06:54 AM - marcandre (Marc-Andre Lafortune)

Status: Closed   

Priority: Normal   

Assignee: marcandre (Marc-Andre Lafortune)   

Target version: 2.5   

ruby -v: trunk Backport: 2.3: DONE, 2.4: DONE

Description

While working on RubySpecs with Atul Bhosale, we discovered that TracePoint#enable and #disable yield nil instead of not yielding

any argument.

This is mostly harmless as we usually use blocks, but it could create issues for lambdas/methods, for example:

def handle_trace; end

TracePoint.new{}.enable(&method(:handle_trace)) 

# => ArgumentError: wrong number of arguments (given 1, expected 0)

 I'm fixing in trunk, would be nice to backport.

Associated revisions

Revision 7e3bd6646ca88a285f0eb369a668c6596e0d6c83 - 10/26/2017 06:58 AM - Marc-Andre Lafortune 

TracePoint#enable, #disable: Don't yield any argument. [Bug #14057]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@60437 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 7e3bd664 - 10/26/2017 06:58 AM - Marc-Andre Lafortune 

TracePoint#enable, #disable: Don't yield any argument. [Bug #14057]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@60437 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision acbf49de470c03cd5071ac563127572c89c1caeb - 03/07/2018 03:10 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 60437: [Backport #14057]

    TracePoint#enable, #disable: Don't yield any argument. [Bug #14057]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@62694 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision acbf49de - 03/07/2018 03:10 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 60437: [Backport #14057]

    TracePoint#enable, #disable: Don't yield any argument. [Bug #14057]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@62694 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision e9a9f674fb90266e7c6e2c1338883d2ea35142cc - 03/18/2018 03:23 PM - U.Nakamura 

merge revision(s) 60437: [Backport #14057]

    TracePoint#enable, #disable: Don't yield any argument. [Bug #14057]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@62824 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision e9a9f674 - 03/18/2018 03:23 PM - U.Nakamura 

merge revision(s) 60437: [Backport #14057]

    TracePoint#enable, #disable: Don't yield any argument. [Bug #14057]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@62824 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

06/17/2025 1/2



History

#1 - 10/26/2017 06:58 AM - marcandre (Marc-Andre Lafortune)

- Status changed from Open to Closed

Applied in changeset trunk|r60437.

TracePoint#enable, #disable: Don't yield any argument. [Bug #14057]

#2 - 03/07/2018 03:10 PM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.3: REQUIRED, 2.4: REQUIRED to 2.3: REQUIRED, 2.4: DONE

ruby_2_4 r62694 merged revision(s) 60437.

#3 - 03/18/2018 03:23 PM - usa (Usaku NAKAMURA)

- Backport changed from 2.3: REQUIRED, 2.4: DONE to 2.3: DONE, 2.4: DONE

ruby_2_3 r62824 merged revision(s) 60437.
